UMAD_REGISTER_OUI(3)

NAME
umad_register_oui - register the specified class in vendor range 2 for port

SYNOPSIS
#include <infiniband/umad.h>

int umad_register_oui(int portid, int mgmt_class, uint8_t rmpp_version, uint8_t oui[3], uint32_t method_mask[4]);

DESCRIPTION
umad_register_oui() registers the specified class in vendor range 2, the specified oui, and whether RMPP is being used for the port specified by the portid handle. If method_mask array is provided, the caller is registered as a replier (server) for the methods having their corresponding bit on in the method_mask. If method_mask is NULL, the caller is registered as a MAD client, meaning that it can only receive replies on MADs that it sent (solicited MADs).

RETURN VALUE
umad_register() returns non-negative agent id number on success, and a negative value on error as follows:
 -EINVAL invalid port handle or class is not in the vendor class 2 range
 -EPERM registration failed

SEE ALSO
umad_register(3), umad_unregister(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>